local BaikActionbar = LibStub("AceAddon-3.0"):GetAddon("BaikActionbar")

local Width = {
    full = MainMenuBarTexture0:GetWidth() * 2,
    half = MainMenuBarTexture0:GetWidth(),
    quarter = MainMenuBarTexture0:GetWidth() / 2,
}

local HideFrames = {
    -- ACTION_BAR_PAGE
    ActionBarUpButton,
    ActionBarDownButton,
    MainMenuBarPageNumber,

    -- ART_FRAMES
    MainMenuBarTexture2,
    MainMenuBarTexture3,

    -- MICRO_FRAMES
    CharacterMicroButton,
    SpellbookMicroButton,
    TalentMicroButton,
    AchievementMicroButton,
    QuestLogMicroButton,
    GuildMicroButton,
    LFDMicroButton,
    CollectionsMicroButton,
    EJMicroButton,
    StoreMicroButton,
    MainMenuMicroButton
}

local State = {
    hide = {},
    hover = {},
    show = {}
}

local StateOpts = {
    "Hide",
    "Hover",
    "Show"
}

-- Hackyness for maping opts to state
local StateMap = {
    State.hide,
    State.hover,
    State.show
}

BaikActionbar.Width = Width
BaikActionbar.HideFrames = HideFrames
BaikActionbar.State = State
BaikActionbar.StateOpts = StateOpts
BaikActionbar.StateMap = StateMap
